## org.hibernate.ejb.criteria.path
Class AbstractFromImpl.BasicJoinScope

    java.lang.Object
      org.hibernate.ejb.criteria.path.AbstractFromImpl.BasicJoinScope

All Implemented Interfaces:
  Serializable, AbstractFromImpl.JoinScope<X>

Enclosing class:
  AbstractFromImpl<Z,X>

    protected class AbstractFromImpl.BasicJoinScope

extends Object
implements AbstractFromImpl.JoinScope<X>

See Also:
  Serialized Form

Constructor Summary
`protected` `AbstractFromImpl.BasicJoinScope()`

Method Summary
`void` `addFetch(javax.persistence.criteria.Fetch<X,?> fetch)`
`void` `addJoin(javax.persistence.criteria.Join<X,?> join)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFromImpl.BasicJoinScope

    protected AbstractFromImpl.BasicJoinScope()

Method Detail

### addJoin

    public void addJoin(javax.persistence.criteria.Join<X,?> join)

  Specified by:
    `addJoin` in interface `AbstractFromImpl.JoinScope<X>`

### addFetch

    public void addFetch(javax.persistence.criteria.Fetch<X,?> fetch)

  Specified by:
    `addFetch` in interface `AbstractFromImpl.JoinScope<X>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.